TransitionTo (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class TransitionTo

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.TransitionTo

    class TransitionTo

Property Summary
`java.util.List` | `exceptionHandlers`
`java.util.List` | `transitions`

Constructor Summary
`TransitionTo(java.lang.String newOn, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers)`
`TransitionTo(java.lang.String newOn, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers, ClosureInvokingAction newCriteria)`
`TransitionTo(java.lang.Class exception, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers)`

Method Summary
`java.lang.Object` | `to(groovy.lang.Closure resolver)`
`java.lang.Object` | `to(java.lang.String newTo)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### exceptionHandlers

    java.util.List exceptionHandlers

### transitions

    java.util.List transitions

Constructor Detail

### TransitionTo

    TransitionTo(java.lang.String newOn, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers)

### TransitionTo

    TransitionTo(java.lang.String newOn, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers, ClosureInvokingAction newCriteria)

### TransitionTo

    TransitionTo(java.lang.Class exception, java.lang.Object builder, java.lang.Object newTransitions, java.lang.Object newExceptionHandlers)

Method Detail

### to

    java.lang.Object to(groovy.lang.Closure resolver)

### to

    java.lang.Object to(java.lang.String newTo)

Groovy Documentation